Package org.jcsp.net.dynamic

# Class DynamicClassLoader.DynamicClassLoaderUserObject

java.lang.Object
org.jcsp.net.dynamic.DynamicClassLoader.DynamicClassLoaderUserObject

All Implemented Interfaces:
  `ServiceUserObject`

Enclosing class:
  `DynamicClassLoader`

public class DynamicClassLoader.DynamicClassLoaderUserObject extends Object implements ServiceUserObject
User interface to obtain the TX and RX filters from the service once it has been started.

## Method Summary

Modifier and Type
Method
Description
`Filter`
`getChannelRxFilter()`
Returns the RX filter to be used at the receiving end of a channel if dynamic class loading is to be supported over that channel.
`Filter`
`getChannelTxFilter()`
Returns the TX filter to be used at the sending end of a channel if dynamic class laoding is to be supported over that channel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getChannelTxFilter

public Filter getChannelTxFilter()
Returns the TX filter to be used at the sending end of a channel if dynamic class laoding is to be supported over that channel. If there is a TX filter at the sending end, there must be a RX filter at the receiving end.

### getChannelRxFilter

public Filter getChannelRxFilter()
Returns the RX filter to be used at the receiving end of a channel if dynamic class loading is to be supported over that channel. The filter returned is safe to use if there is no TX filter at the sending end.